Summary:        High-performance memory object caching system
Name:           memcached
Version:        1.2.6
Release:        %mkrel 2
License:        BSD
Group:          System/Servers
URL:            http://www.danga.com/memcached/
Source0:        http://www.danga.com/memcached/dist/%{name}-%{version}.tar.gz
Source1:        memcached.init
Source2:        memcached.sysconfig
Source3:        memcached.logrotate
# http://repcached.lab.klab.org/
# http://downloads.sourceforge.net/repcached/repcached-2.0-1.2.5.patch.gz
Patch0:		repcached/repcached-2.1-1.2.6.patch.gz
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):  rpm-helper
Requires(postun): rpm-helper
BuildRequires:  automake1.7
BuildRequires:  autoconf2.5
BuildRequires:  libevent-devel
BuildRequires:  libnet1.1.2-devel >= 1.1.2
BuildRequires:  perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
memcached is a flexible memory object caching daemon designed to alleviate
database load in dynamic web applications by storing objects in memory. It's
based on libevent to scale to any size needed, and is  specifically optimized
to avoid swapping and always use non-blocking I/O.

The memcached server binary comes in two flavours:

 o memcached             - with threading support
 o memcached-replication - with replication support

%prep

%setup -q
%patch0 -p1

cp %{SOURCE1} memcached.init
cp %{SOURCE2} memcached.sysconfig
cp %{SOURCE3} memcached.logrotate

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure.*

%build
rm -f configure
libtoolize --copy --force; aclocal; automake --add-missing --copy --foreign; autoheader; autoconf

%serverbuild

%configure2_5x \
%ifarch x86_64
    --enable-64bit \
%endif
    --with-libevent=%{_prefix} \
    --enable-replication

%make
cp -p %{name} _%{name}-replication_

make clean

%configure2_5x \
    --localstatedir=/var/lib \
%ifarch x86_64
    --enable-64bit \
%endif
    --with-libevent=%{_prefix} \
    --enable-threads

%make

#%%check
#%%{__make} test

%install
rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}/var/lib/%{name}
install -d %{buildroot}/var/log/%{name}
install -d %{buildroot}/var/run/%{name}

install -m0755 %{name} %{buildroot}%{_sbindir}/
install -m0755 _%{name}-replication_ %{buildroot}%{_sbindir}/%{name}-replication
install -m0644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/

install -m0755 memcached.init %{buildroot}%{_initrddir}/%{name}
install -m0644 memcached.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 memcached.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m0755 scripts/%{name}-tool %{buildroot}%{_bindir}/%{name}-tool

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS* COPYING ChangeLog NEWS README TODO
%doc doc/memory_management.txt doc/protocol.txt doc/CONTRIBUTORS
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}-tool
%{_sbindir}/%{name}
%{_sbindir}/%{name}-replication
%{_mandir}/man1/*
%attr(0711,%{name},%{name}) %dir /var/lib/%{name}
%attr(0711,%{name},%{name}) %dir /var/log/%{name}
%attr(0711,%{name},%{name}) %dir /var/run/%{name}


%changelog
* Wed Aug 27 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-2mdv2009.0
+ Revision: 276664
- repcached-2.1

* Sun Aug 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdv2009.0
+ Revision: 270210
- 1.2.6
- rediffed the latest repcached-2.0 patch

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-3mdv2009.0
+ Revision: 229679
- hardcode %%{_localstatedir}

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdv2009.0
+ Revision: 207045
- rebuilt against libevent-1.4.4

* Thu Apr 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdv2009.0
+ Revision: 192539
- 1.2.5
- rediffed and adjusted repcached-1.2-1.2.4.patch slightly
- fix lib64 stuff
- use --enable-64bit on x86_64

* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-1mdv2008.1
+ Revision: 173417
- 1.2.4
- new repcached patch (1.1)
- drop upstream implemented patches

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2008.1
+ Revision: 109084
- added upstream socket permission fix (P0)
- added replication support (P1)
- added pid file generation fix from fedora (P2)
- major initscript and config rework

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2008.0
+ Revision: 68952
- 1.2.3

* Mon Jul 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdv2008.0
+ Revision: 52533
- use the %%serverbuild macro

* Sat May 19 2007 David Walluck <walluck@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 28446
- 1.2.2
- LSB-complaint and MDV-complaint initscript

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2008.0
+ Revision: 18625
- 1.2.1


* Tue Dec 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdv2007.0
+ Revision: 100284
- release bump due to #27632
- fix deps (libnet1.1.2-devel)
- fix deps (perl-devel)
- rebuild
- 1.2.0
- fix deps
- bunzip sources
- Import memcached

* Sat Jun 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.12-4mdv2007.0
- fix deps

* Mon Apr 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.12-3mdk
* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.12-2mdk
- rebuilt against libnet1.1.2

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.12-1mdk
- 1.1.12
- fix deps

* Wed May 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.11-2mdk
- add prereq on rpm-helper
- rebuild for new libevent

* Sun Jan 23 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.11-1mdk
- initial Mandrakelinux package

